LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-15-2008, 06:09 PM   #1
neilw3
LQ Newbie
 
Registered: Sep 2008
Posts: 2

Rep: Reputation: 0
Question Redhat missing Dependency xen-libs-3.0.3-64.el5


I have a fresh install of Redhat 5,

#uname -a
Linux roman 2.6.18-92.el5xen #1 SMP Tue Apr 29 13:45:57 EDT 2008 i686 i686 i386 GNU/Linux

I've manage to install 41 updates on the 42nd I get this

#yum update
Loading "security" plugin
Loading "rhnplugin" plugin
rhel-i386-server-5 100% |=========================| 1.4 kB 00:00
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package xen-libs.i386 0:3.0.3-64.el5_2.1 set to be updated
--> Processing Dependency: xen-libs = 3.0.3-64.el5 for package: xen
--> Finished Dependency Resolution
Error: Missing Dependency: xen-libs = 3.0.3-64.el5 is needed by package xen


I do a rpm to see if xen-libs exists

# rpm -qa |grep xen-libs
xen-libs-3.0.3-64.el5

# rpm -qi xen-libs-3.0.3-64.el5
Name : xen-libs Relocations: (not relocatable)
Version : 3.0.3 Vendor: Red Hat, Inc.
Release : 64.el5 Build Date: Wed 30 Apr 2008 03:50:06 PM BST
Install Date: Wed 10 Sep 2008 10:48:03 PM BST Build Host: ls20-bc2-13.build.redhat.com
Group : Development/Libraries Source RPM: xen-3.0.3-64.el5.src.rpm
Size : 257808 License: GPLv2+, LGPLv2+
Signature : DSA/SHA1, Wed 30 Apr 2008 10:39:49 PM BST, Key ID 5326810137017186
Packager : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>

Summary : Libraries for Xen tools
Description :
This package contains the libraries needed to run applications to manage
Xen virtual machines.


It seems that the xen-libs is up to date, but RedHat is still looking for it in order to install xen-tools,please help?

Neil.
 
Old 09-15-2008, 06:21 PM   #2
billymayday
LQ Guru
 
Registered: Mar 2006
Location: Sydney, Australia
Distribution: Fedora, CentOS, OpenSuse, Slack, Gentoo, Debian, Arch, PCBSD
Posts: 6,678

Rep: Reputation: 122Reputation: 122
It just means that things are a bit out of sync in the repos.

Try

yum update -x xen-libs
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
DNS For Redhat EL5 ajkannan83 Linux - Server 25 09-11-2008 11:51 PM
DNS For Redhat EL5 ajkannan83 Linux - Server 1 09-10-2008 05:55 AM
fedora update problem: Missing dependency gecko-libs gyc Fedora 11 07-22-2008 01:04 PM
Error: Missing Dependency: kdelibs3 >= 3.5.8 is needed by package koffice-libs Dr_Death_UAE Linux - General 4 11-13-2007 04:33 PM
exchange4linux says it has a dependency on libdb4-1.0.so, which is in the /libs direc weburt Linux - Software 0 03-04-2004 11:47 AM


All times are GMT -5. The time now is 06:42 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration